import { Column, CreateDateColumn, Entity, PrimaryColumn } from "typeorm";

@Entity()
export class mission {
  @PrimaryColumn({ generated: "uuid" })
  id: string;

  @Column({ type: "varchar", length: 255 })
  title: string;

  @Column({ type: "varchar", length: 255, nullable: true })
  keyword?: string;

  @CreateDateColumn()
  createdAt: Date;
}
